Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jan 2022 02:24:57 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? i have concern for my order.because until now i still not receive that.i ordered the items last december 31 and it says it will deliver on january 6.but until now i still not get that.already one week past.but already shipped.can you help me to follow up my order?because i don't know who i will ask about my concern.thank you so much for understanding https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3761982